Bug 874626

Summary: Laptop display stays off after unplug/plug from docking station
Product: [Fedora] Fedora Reporter: Martin Wilck <martin.wilck>
Component: xorg-x11-server-utilsAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 17CC: egor.k8n, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 10:00:42 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Martin Wilck 2012-11-08 09:46:29 EST
Description of problem:
I have a dual-monitor setup with a 21" monitor connected to my docking station and my laptop screen which is placed right of the monitor. This works usually fine.

Today I disconnected the laptop from the docking station to join a meeting, connected the VGA output to a projector in the meeting, disconnected again, and plugged the laptop back into the docking station.

All went fine except for the last step. First the external monitor remained dark. I opened the monitors tool in the GNOME control center to switch it back on. When I did that, the Laptop monitor went black and remained so. I was unable to reactivate it with the GNOME tool. It was not a brightness problem, at least trying to set the brightness with the brightness keys on the keyboard had no effect.

Version-Release number of selected component (if applicable):
xorg-x11-server-utils-7.5-12.fc17.x86_64

How reproducible:
Just happened one time so far

Steps to Reproduce:
Unknown. I will notify here if it happens again.
  
Actual results:
Laptop monitor remains black dark.

Expected results:
Dual monitor configuration works smoothly, as usual.

Additional info:
After several attempts playing around with xrandr on the command line, I was able to reproduce the problem as follows:

1. xrandr --output LVDS1 --off
=> Laptop monitor is now off. 
xrandr:
Screen 0: minimum 320 x 200, current 1600 x 1200, maximum 8192 x 8192
LVDS1 connected (normal left inverted right x axis y axis)
   1280x800       60.0 +
VGA1 disconnected (normal left inverted right x axis y axis)
DVI1 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 408mm x 306mm
   1600x1200      60.0*+

2. gnome-control-center detects the laptop monitor is off. trying to switch it on in the control center has no effect on the monitor itself, but the control center now "thinks" it's on. After restarting the gnome control center, it detects the monitor as off again.

xrandr:
Screen 0: minimum 320 x 200, current 1600 x 1200, maximum 8192 x 8192
LVDS1 connected (normal left inverted right x axis y axis)
   1280x800       60.0 +

DVI1 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 408mm x 306mm
   1600x1200      60.0*+

3. xrandr --verbose --output LVDS1 --auto --pos 1600x400screen 0: 2880x1200 763x318 mm  95.85dpi
crtc 1:     1280x800   60.0 +1600+400 "LVDS1"

=> Laptop monitor now on, but simpy running "xrandr" switches it off again.
This is reproducable. xrandr output then looks like:

Screen 0: minimum 320 x 200, current 2880 x 1200, maximum 8192 x 8192
LVDS1 connected (normal left inverted right x axis y axis)
   1280x800       60.0 +
DVI1 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 408mm x 306mm
   1600x1200      60.0*+

4. xrandr --verbose --fb 2880x1200 --output LVDS1 --auto --pos 1600x400
Same result as for 3.)

5. by running "xrandr --auto" 3 times in a row, I can recover into  a sane situation:

xrandr --verbose --output LVDS1 --auto --pos 1600x400
=> Laptop monitor on
xrandr --verbose --output LVDS1 --auto --pos 1600x400
=> Laptop monitor off
xrandr --verbose --output LVDS1 --auto --pos 1600x400
=> Laptop monitor on, and now I can run "xrandr" without switching off the laptop:
Screen 0: minimum 320 x 200, current 2880 x 1200, maximum 8192 x 8192
LVDS1 connected 1280x800+1600+400 (normal left inverted right x axis y axis) 303mm x 190mm
   1280x800       60.0*+
DVI1 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 408mm x 306mm
   1600x1200      60.0*+

This is reproducable, at least now. I need to reboot my laptop in order to see if it also happens under normal conditions, or if the unplug/plug made me enter a somewhat unstable state.

HW profile:
http://www.smolts.org/client/show/pub_12b8dc90-f59d-4731-aa6c-d243dd7a0a4c
Comment 1 Robin Lee 2012-12-11 21:26:31 EST
I met a similar issue on F18 with xorg-x11-server-utils-7.5-14.fc18.x86_64
Comment 2 Robin Lee 2012-12-23 20:09:55 EST
My problem should be different from this and fixed in some update.
Comment 3 Fedora End Of Life 2013-07-04 00:36:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 10:00:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.